<template>
  <b-container class="task">
    <b-row>
      <b-col>
        <div class="date">
          <span>{{ date }}{{ room }}</span>
          <b-badge :variant="statusColor">{{ statusText }}</b-badge>
        </div>
        <div class="text">{{ task.data.text }}</div>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
import moment from 'moment'

export default {
  name: 'Task',
  props: {
    task: {
      type: Object,
      required: true
    }
  },
  computed: {
    date () {
      return moment(this.task.dt_start).format('LLLL')
    },
    room () {
      if (this.task.data.room) {
        return this._(' в ') + this.task.data.room
      }
      return ''
    },
    statusColor () {
      switch (this.task.status) {
        case 1:
          return 'warning'
        case 2:
          return 'success'
        case 3:
          return 'danger'
        default:
          return 'secondary'
      }
    },
    statusText () {
      switch (this.task.status) {
        case 1:
          return this._('В работе')
        case 2:
          return this._('Завершено')
        case 3:
          return this._('Отказ')
        default:
          return this._('На рассмотрении')
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.task {
  border-radius: 8px;
  box-shadow: 0 0 64px 0px rgba(0,0,0,.1);
  padding: 0 24px;
  transition: box-shadow .5s;

  &:hover {
    box-shadow: 0 0 128px 0px rgba(0,0,0,.2);
  }
}

.date {
  align-items: center;
  color: #aaa;
  display: flex;
  font-size: .9rem;
  justify-content: space-between;
  padding: 18px 0;
}
.text {
  font-size: 1rem;
  padding: 18px 0;
}
</style>
